Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.io
Class RuntimeErrorFormatter

    java.lang.Object
      java.util.logging.Formatter
          org.archive.crawler.io.UriProcessingFormatter
              org.archive.crawler.io.RuntimeErrorFormatter

All Implemented Interfaces:
  CoreAttributeConstants

    public class RuntimeErrorFormatter

extends UriProcessingFormatter
implements CoreAttributeConstants

Runtime exception log formatter. Used to format unexpected runtime exceptions such as OOMEs.

Author:
  gojomo

Field Summary

Fields inherited from interface org.archive.crawler.datamodel.CoreAttributeConstants
`A_ANNOTATIONS, A_CONTENT_DIGEST, A_CONTENT_TYPE, A_CREDENTIAL_AVATARS_KEY, A_DELAY_FACTOR, A_DISTANCE_FROM_SEED, A_DNS_FETCH_TIME, A_DNS_SERVER_IP_LABEL, A_ETAG_HEADER, A_FETCH_BEGAN_TIME, A_FETCH_COMPLETED_TIME, A_FETCH_HISTORY, A_FORCE_RETIRE, A_HERITABLE_KEYS, A_HTML_BASE, A_HTTP_BIND_ADDRESS, A_HTTP_PROXY_HOST, A_HTTP_PROXY_PORT, A_HTTP_TRANSACTION, A_LAST_MODIFIED_HEADER, A_LOCALIZED_ERRORS, A_META_ROBOTS, A_MINIMUM_DELAY, A_MIRROR_PATH, A_PREREQUISITE_URI, A_REFERENCE_LENGTH, A_RETRY_DELAY, A_RRECORD_SET_LABEL, A_RUNTIME_EXCEPTION, A_SOURCE_TAG, A_STATUS, HEADER_TRUNC, LENGTH_TRUNC, TIMER_TRUNC, TRUNC_SUFFIX`

Constructor Summary
`RuntimeErrorFormatter()`

Method Summary
`java.lang.String` | `format(java.util.logging.LogRecord lr)`

Methods inherited from class org.archive.crawler.io.UriProcessingFormatter
`checkForNull`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeErrorFormatter

    public RuntimeErrorFormatter()

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord lr)

  Overrides:
    `format` in class `UriProcessingFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.